/*--------------------------------------------------------------------------*/
/** @file access.h
@brief  Deals with access rights to files, fields of CFG etc., determines the 
current user status: "mass-root" (expert) or not (simple user).

                  MASS project: TURBINA module file
                       header file for access.cpp



 @author O. Voziakova, Sternberg Institute (ovoz@sai.msu.ru)
 
 @version 1.0
*/
#ifndef ACCESS_H
#define ACCESS_H

#define ROOT_UID	0
//#define MASS_ROOT_GID	52
//#define MASS_GID	51

bool getMassAccess( void );
void setAccess( const char* fileName,
			bool toMassRoot );

#endif
