#include "trberror.h"
namespace trberr {
	int _code;
	bool _dialog=true; // showMesage or sendToScreen (main or parallel. thread)
	QString _message;
}

bool trberr::dialog( void ) {return _dialog;}

void trberr::enableDialog( bool enable ) { _dialog = enable; }

bool trberr::quitProgram( void ) {
	return( _code == TRB_EXIT );
}

void trberr::setCode( int code ) {
	_code = code;
}

int trberr::getCode( void ) {
	return _code;
}

void trberr::reset( void ) {
	_code = 0;
}

void trberr::setMessage( const QString message ) {
	_message = message;
}

const char* trberr::getMessage( void ) {
	return _message;
}
