#ifndef TRBSCENARIO_H
#define TRBSCENARIO_H

namespace trbscenario {
	enum mode {
// not scenario:
		SCENARIO_MODE, PLAYBACK_MODE, BACKGROUND_CORR_MODE, CENTERING_CORR_MODE, FLUX_ESTIMATION_MODE, TRACK_CALIBRATION_MODE,
// Scenario-modes:
		EXCHANGE_TEST_MODE, DETECTOR_TEST_MODE, STATISTIC_TEST_MODE, DETECTOR_COUNTING_MODE, DETECTOR_STATISTIC_MODE,
// work:
		FOCUS_CONTROL_MODE, CENTER_CONTROL_MODE, CENTERING_MODE, NORMAL_MODE, GENERALIZED_MODE, BACKGROUND_MEASUR_MODE,
// FINISH:
		QUIT_PROGRAM, END_OF_PROGRAM,
		UNDEFINED_MODE
	};

	enum scenario {SV_MEAS_SCENARIO=1, SV_BKGR_SCENARIO=2, SV_FLUX_SCENARIO=3};

	mode getMode(void);
	void setMode(mode which);
	void fixMode(void);
	void setLastMode(mode which);
	bool isLastMode(mode which);
	bool testMirror(mode which);
}

#endif
