#ifndef TRBSOCKET_H
#define TRBSOCKET_H

#include <string>

//#define MOUNT_PORT  6001
#define MAX_COMID	65535
#define max_comid_len	10

namespace trbsocket {
	void loadConst(bool isFirst);
	int init(void);
	void closeSocket(void);
	int newConnection(void);
	int readCommand(void);
	int sendToSV(int comid, const char* mess);
	void setCycleCondition(bool condition);
	bool getCycleCondition(void);
	void quitSocketCycle(void);
	int socket_cycle(void);

	int extractInstruction(int i);
	int extractInstruction(std::string from, std::string& instruction);
}

#endif
