#ifndef TRBTHREAD_H
#define TRBTHREAD_H

#define QT_THREAD_SUPPORT
#include <qthread.h>

class DataThread : public QThread {
public:
	~DataThread();
	virtual void run();
};

class CountThread : public QThread {
public:
	~CountThread();
	virtual void run();
};

class SocketThread : public QThread {
public:
	~SocketThread();
	virtual void run();
};

class SuperVisorThread : public QThread {
public:
	~SuperVisorThread();
	virtual void run();
};

namespace trbthread {
	void create(void);
	void destruct(void);
	void start(void);
	void stop(void);
}

#endif
